View Issue Details

IDProjectCategoryView StatusLast Update
0001500FreeCADBugpublic2014-04-16 11:42
Reporterwandererfan Assigned Towandererfan  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.14 
Target Version0.14 
Summary0001500: Some Draft Tools do not update display
Descriptionsee: http://www.forum.freecadweb.org/viewtopic.php?f=10&t=6224
also: http://www.forum.freecadweb.org/viewtopic.php?f=10&t=6174

Need to check each tool and ensure that recompute is called in right place.
TagsNo tags attached.
FreeCAD Information

Activities

wandererfan

2014-04-11 00:26

manager   ~0004548

Note to self: behaviour with Draft Primitives is quite different from behaviour with Part Primitives. Part Prims cause recompute during commit, not all Draft Prims do. Recompute inside DraftTools will generally occur before commit, therefore not update display!

wandererfan

2014-04-14 21:36

manager   ~0004562

Last edited: 2014-04-15 10:01

View 2 revisions

Only Ellipse and Shape2DView are actually missing the recompute(). The other tools are split between recompute() in DraftTools and Draft.

Pull request for Ellipse/Shape2DView submitted: http://www.forum.freecadweb.org/viewtopic.php?f=17&t=6337

Should go through Draft/DraftTools and make use of recompute consistent as an aid to future maintainers.

wandererfan

2014-04-16 11:42

manager   ~0004564

bugs fixed. Code cleanup to be handled as a separate issue.

Related Changesets

FreeCAD: master 79b8e073

2014-04-14 23:29:54

wandererfan


Committer: yorik Details Diff
Fix Mantis 0001500 for Draft Ellipse,Shape2DView Affected Issues
0001500
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2014-04-05 13:10 wandererfan New Issue
2014-04-05 13:10 wandererfan Status new => assigned
2014-04-05 13:10 wandererfan Assigned To => wandererfan
2014-04-05 13:13 wandererfan Description Updated View Revisions
2014-04-11 00:26 wandererfan Note Added: 0004548
2014-04-14 21:36 wandererfan Note Added: 0004562
2014-04-15 10:01 wandererfan Note Edited: 0004562 View Revisions
2014-04-16 00:44 yorik Changeset attached => FreeCAD Master master 79b8e073
2014-04-16 11:42 wandererfan Note Added: 0004564
2014-04-16 11:42 wandererfan Status assigned => closed
2014-04-16 11:42 wandererfan Resolution open => fixed